sensorfw: TapData Class Reference

sensorfw

Public Types | Public Member Functions | Public Attributes | List of all members
TapData Class Reference

Datatype for device tap events. More...

`#include <tapdata.h>`

Inheritance diagram for TapData:

## Public Types
enum | Direction { X = 0 , Y , Z , LeftRight , RightLeft , TopBottom , BottomTop , FaceBack , BackFace }
| Direction of tap. More...
enum | Type { DoubleTap = 0 , SingleTap }
| Type of tap. More...

## Public Member Functions
| TapData ()
| Constructor.
| TapData (const quint64 &timestamp, Direction direction, Type type)
| Constructor.
Public Member Functions inherited from TimedData
| TimedData (const quint64 &timestamp)
| Constructor.

## Public Attributes
TapData::Direction | direction_
| Direction of tap.
TapData::Type | type_
| Type of tap.
Public Attributes inherited from TimedData
quint64 | timestamp_
| monotonic time (microsec)

## Detailed Description

Datatype for device tap events.

Contains enumerated values for different types of tap events.

Definition at line 36 of file tapdata.h.

## Member Enumeration Documentation

## ◆ Direction

enum TapData::Direction

Direction of tap.

The last six directions may not be supported depending on hardware.

Enumerator
X | Left or right side tapped.
Y | Top or down side tapped.
Z | Face or bottom tapped.
LeftRight | Tapped from left to right.
RightLeft | Tapped from right to left.
TopBottom | Tapped from top to bottom.
BottomTop | Tapped from bottom to top.
FaceBack | Tapped from face to back.
BackFace | Tapped from back to face.

Definition at line 42 of file tapdata.h.

## ◆ Type

enum TapData::Type

Type of tap.

Enumerator
DoubleTap | Double tap.
SingleTap | Single tap.

Definition at line 58 of file tapdata.h.

## Constructor & Destructor Documentation

## ◆ TapData() [1/2]

TapData::TapData | ( |  | ) |
| inline

Constructor.

Definition at line 70 of file tapdata.h.

## ◆ TapData() [2/2]

TapData::TapData | ( | const quint64 & | timestamp,
|  | Direction | direction,
|  | Type | type )
| inline

Constructor.

Parameters

  timestamp | Timestamp of tap event.
  direction | Direction of tap.
  type | Type of tap.

Definition at line 78 of file tapdata.h.

## Member Data Documentation

## ◆ direction_

TapData::Direction TapData::direction_

Direction of tap.

Definition at line 64 of file tapdata.h.

## ◆ type_

TapData::Type TapData::type_

Type of tap.

Definition at line 65 of file tapdata.h.

The documentation for this class was generated from the following file:

- datatypes/tapdata.h